Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes
PAGE_RES Class Reference

`#include <pageres.h>`

List of all members.

## Public Member Functions

void | Init ()
| PAGE_RES ()
| PAGE_RES (BLOCK_LIST *block_list, WERD_CHOICE **prev_word_best_choice_ptr)
| ~PAGE_RES ()

## Public Attributes

inT32 | char_count
inT32 | rej_count
BLOCK_RES_LIST | block_res_list
BOOL8 | rejected
WERD_CHOICE ** | prev_word_best_choice
GenericVector< int > | blame_reasons
GenericVector< STRING > | misadaption_log

## Detailed Description

Definition at line 218 of file pageres.h.

## Constructor & Destructor Documentation

PAGE_RES::PAGE_RES | ( |  | ) |

inline

Definition at line 243 of file pageres.h.

{ Init(); } // empty constructor

PAGE_RES::PAGE_RES | ( | BLOCK_LIST * | block_list,
|  | WERD_CHOICE ** | prev_word_best_choice_ptr
| ) |  |

PAGE_RES::~PAGE_RES | ( |  | ) |

inline

Definition at line 248 of file pageres.h.

{ // destructor
}

## Member Function Documentation

void PAGE_RES::Init | ( |  | ) |

inline

Definition at line 235 of file pageres.h.

{
char_count = 0;
rej_count = 0;
rejected = FALSE;
prev_word_best_choice = NULL;
blame_reasons.init_to_size(IRR_NUM_REASONS, 0);
}

## Member Data Documentation

GenericVector<int> PAGE_RES::blame_reasons

Definition at line 228 of file pageres.h.

BLOCK_RES_LIST PAGE_RES::block_res_list

Definition at line 222 of file pageres.h.

inT32 PAGE_RES::char_count

Definition at line 220 of file pageres.h.

GenericVector<STRING> PAGE_RES::misadaption_log

Definition at line 233 of file pageres.h.

WERD_CHOICE** PAGE_RES::prev_word_best_choice

Definition at line 226 of file pageres.h.

inT32 PAGE_RES::rej_count

Definition at line 221 of file pageres.h.

BOOL8 PAGE_RES::rejected

Definition at line 223 of file pageres.h.

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccstruct/pageres.h